view more/tweak.sh @ 1793:d461b345c3c9 draft

Build sh2eb for the numato mimas v2. Still a lot of rough edges.
author Rob Landley <rob@landley.net>
date Tue, 06 Oct 2015 22:05:53 -0500
parents 10b64f52ad20
children
line wrap: on
line source

#!/bin/bash

# Rerun 

if [ $# -lt 2 ]
then
  echo "usage: more/tweak.sh ARCH STAGE COMMAND..." >&1
  exit 1
fi

[ ! -e "$2".sh ] && echo "No stage $2" >&2 && exit 1
ARCH="$1"
STAGE="$2"
[ "$STAGE" == "native-compiler" ] &&
   STUFF='STAGE_DIR=$STAGE_DIR/usr HOST_ARCH=$ARCH'
shift
shift

NO_CLEANUP=temp STAGE_NAME="$STAGE" more/test.sh "$ARCH" \
  $STUFF "$@" " && create_stage_tarball" || exit 1
NO_CLEANUP=temp AFTER="$STAGE" ./build.sh "$ARCH" "$STAGE"